import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';

import { RouteExtensions } from '@core/route.service';

import { EchartsComponent } from './partial/echarts/echarts.component';
import { UsingDocumentsComponent } from './partial/using-documents/using-documents.component';

const routes: Routes =
  RouteExtensions.withHost(
    { path: '', component: EchartsComponent },
    [
      { path: 'using-documents', component: UsingDocumentsComponent, data: { title: 'echarts图表使用文档' } }
    ]);

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
  providers: []
})

export class EchartsDemoRoutingModule { }
