import { Injectable } from '@angular/core';

import { Observable, of } from 'rxjs';
import { map } from 'rxjs/operators';
import { cloneDeep } from 'lodash';

import { PagedData } from './model';
import { Information } from './model';
import { Page } from './model';
import { screening } from './util/query-helper';

declare var require: any;
const dataSource = require('./data.json');

@Injectable()
export class MockServerResultsService {
    constructor() { }

    public getResults(page: any): Observable<PagedData<Information>> {
        return of(dataSource).pipe(map(data => this.getPagedData(page.page)));
    }

    private getPagedData(page: Page): PagedData<Information> {
        const pagedData = new PagedData<Information>();
        const start = (page.pageIndex - 1) * page.pageSize;
        const temDataSource: any = cloneDeep(dataSource);
        const screenData = screening(page.filter, temDataSource);
        for (let i = start; i < (+page.pageSize + start); i++) {
            if (screenData[i]) {
                const person = screenData[i];
                const infor = new Information(
                    person.name,
                    person.shortName,
                );
                pagedData.data.push(infor);
            }
        }
        return pagedData;
    }

    public getTotalNumber() {
        return dataSource.length;
    }
}
