import { Component, AfterViewInit, ChangeDetectorRef, ViewChild } from '@angular/core';

import { QueryMode } from '@zhongruigroup/ngx-query';

import { MockServerResultsService } from '../mock-server-results-service';
import { NoPageDatatableFooterComponent } from 'no-page-datatable-footer';

@Component({
  selector: 'app-no-page-footer-demo',
  templateUrl: './no-page-footer-demo.component.html',
  styleUrls: ['./no-page-footer-demo.component.scss']
})
export class NoPageFooterDemoComponent implements AfterViewInit {
  title = 'No-Page-Footer';
  labelList: any[];
  sizeList = [
    { size: 10, name: '10条/页' },
    { size: 20, name: '20条/页' },
    { size: 30, name: '30条/页' },
  ];
  currentNumber = 10;
  totalNumber: number;

  queryTemplates: any = [{
    name: 'Default',
    template: {
      op: 'and',
      rules: [
        { field: 'name', op: 'cn', data: '' },
        { field: 'shortName', op: 'cn', data: '' },

      ],
      groups: []
    }
  }];
  mode: QueryMode = QueryMode.plainCollapse;
  @ViewChild('footer') footer: NoPageDatatableFooterComponent;

  constructor(
    private service: MockServerResultsService,
    private changeDetectorRef: ChangeDetectorRef
  ) { }

  ngAfterViewInit() {
    this.changeDetectorRef.detectChanges();
  }
  getLabel(params: any) {
    this.footer.showTotalElements = true;
    this.service.getResults(params).subscribe(next => {
      this.labelList = next.data;
      this.currentNumber = this.labelList.length;
    });
  }
  getTotal() {
    this.totalNumber = this.service.getTotalNumber();
  }

}
