import { Injectable } from '@angular/core';

import { Observable, of } from 'rxjs';

import { WebApiResultResponse } from '@core/http/web-api-result-response';

@Injectable({
    providedIn: 'root'
})
export class TreeviewDemoLocalService extends WebApiResultResponse {
    treeNodes = [{
        id: '1',
        parentId: '',
        label: '组件库',
        icon: 'fa fa-github-alt',
        children: [],
        leaf: true
    }, {
        id: '2',
        parentId: '',
        label: 'Form表单',
        icon: 'fa fa-github-alt',
        children: [],
        leaf: true
    }, {
        id: '3',
        parentId: '',
        label: 'Select',
        icon: 'fa fa-github',
        leaf: false,
        children: [{
            id: '31',
            parentId: '3',
            label: 'Select1',
            icon: 'fa fa-github',
            leaf: false,
            children: [{
                id: '311',
                parentId: '31',
                label: 'Select11',
                icon: 'fa fa-github-alt',
                children: [{
                    id: '3111',
                    parentId: '311',
                    label: 'Select111',
                    icon: 'fa fa-github-alt',
                    children: [] as string[],
                    leaf: true
                }]
            }]
        }]
    }, {
        id: '4',
        parentId: '',
        label: '表单验证器',
        icon: 'fa fa-github-alt',
        leaf: false,
        children: [{
            id: '41',
            parentId: '4',
            label: '表单验证器1',
            icon: 'fa fa-github',
            leaf: false,
            children: [{
                id: '411',
                parentId: '41',
                label: '表单验证器11',
                icon: 'fa fa-github-alt',
                children: [] as string[],
                leaf: true
            }, {
                id: '412',
                parentId: '41',
                label: '表单验证器12',
                icon: 'fa fa-github-alt',
                children: [] as string[],
                leaf: true
            }]
        }]
    }, {
        id: '5',
        parentId: '',
        label: '时间选择器',
        icon: 'fa fa-github-alt',
        children: [],
        leaf: true
    }, {
        id: '6',
        parentId: '',
        label: 'button',
        icon: 'fa fa-github-alt',
        children: [],
        leaf: true
    }, {
        id: '7',
        parentId: '',
        label: '提示框',
        icon: 'fa fa-github-alt',
        children: [],
        leaf: true
    }, {
        id: '8',
        parentId: '',
        label: '日志管理',
        icon: 'fa fa-github-alt',
        children: [],
        leaf: true
    }, {
        id: '9',
        parentId: '',
        label: 'chart图表',
        icon: 'fa fa-github-alt',
        children: [],
        leaf: true
    }, {
        id: '10',
        parentId: '',
        label: '车型选择',
        icon: 'fa fa-github-alt',
        children: [],
        leaf: true
    }];

    applicationid = '';
    constructor() {
        super();
    }

    // 为避免拖拽导致组件结构改变，故将组件树获取地址改为本地
    // 获取根列表
    getRootList(): Observable<any> {
        if (this.treeNodes) {
            return of(this.treeNodes);
        }
    }

    // 获取子列表
    getChildrenList(parentId: any): Observable<any> {
        return of(this.findNode(this.treeNodes, parentId));
    }

    // 查找点击的节点
    findNode(nodes: any, parentId: string): Array<any> {
        for (let i = 0; i < nodes.length; i++) {
            const item = nodes[i];
            if (item.id === parentId) {
                return item.children;
            } else if (!item.leaf) {
                const children = this.findNode(item.children, parentId);
                if (children.length > 0) {
                    return children;
                }
            }
        }
        return [];
    }
}





