import { TreeNode } from 'primeng/api';

// 树结构默认选中
export function defaultSelectedNode(nodes: TreeNode[], defaultArray: string[], selectedFile: TreeNode[]) {
    nodes.forEach((item: any) => {

        // 第一个子节点没有孙子节点
        if (!item.leaf && item.children[0].leaf) {
            item.children.forEach((term: any) => {
                if (defaultArray.includes(term.id)) {
                    pushItem(term, selectedFile);
                }
            });
        }

        // 没有子节点
        if (item.leaf) {
            // 是已选择节点并且无父节点
            if (defaultArray.includes(item.id) && item.parentid === '') {
                pushItem(item, selectedFile);
            }
            return;
        }

        // 遍历子节点
        defaultSelectedNode(item.children, defaultArray, selectedFile);

        // 判断子节点是否全部被选中
        const childLength = item.children.length;
        let count = 0;
        item.children.forEach((term: any) => {
            if (selectedFile.includes(term)) {
                count++;
            }
            if (term.partialSelected) {
                item.partialSelected = true;
            }
        });
        if (count === 0) {
            return;
        }

        // 如果子节点全选中父节点则为勾选状态
        if (count === childLength) {
            item.partialSelected = false;
            pushItem(item, selectedFile);
        } else {
            item.partialSelected = true;
        }
    });
    return selectedFile;
}

// 先判断已选节点是否已存在再去增加节点
export function pushItem(item: TreeNode, selectedFile: TreeNode[]) {
    if (!selectedFile.includes(item)) {
        selectedFile.push(item);
    }
}
