// `.env.ts` is generated by the `npm run env` command
import env from './.env';

export const environment = {
  appName: '<%= props.projectName %>',
  production: true,
  hmr: false,
  version: env.npm_package_version,
  localeId: 'zh-CN',
  defaultLanguage: 'zh-CN',
  supportedLanguages: ['en-US', 'fr-FR'],
  idle: true,
  freeTime: 5,  // 单位：分钟
  countdownTime: 20, // 单位：秒
  haveTabs: false,
  authentication: {
    // oauth2 / usercenter
    type: 'oauth2',
    useServiceV1: true
  },
  odic: {
    config: {
      authority: 'https://identity-fat.lunz.cn',
      client_id: 'lunz-ui-dev',
      redirect_uri: 'http://localhost:9200/authentication/callback',
      response_type: 'id_token token',
      scope: 'openid profile lunz-sharp-template',
      post_logout_redirect_uri: 'http://localhost:9200'
    }
  },
  api: {
    default: 'v1',
    // WebAPI for V2 - Microservice
    v2: {
      baseUrl: '//template-api.m.lunztech.cn/api/v1/'
    },
    // WebAPI for V1
    v1: {
      baseUrl: '//lunz-sharp.lunztech.cn/api/',
      appKey: 'a9ee8aaa-9c5b-4f56-9cb0-3a840b6e27f9',
      applicationId: '4f500000-4c4f-0200-6a51-08d4ccde1a4a',
      withHeaders: true
    },
    // User Center
    userCenter: {
      baseUrl: '//usercenter2015.lunztech.cn/api/',
      appKey: '4f500000-4c4f-0200-903a-08d4ccde1e74',
      authUri: '//usercenter2015.lunztech.cn/',
    },
    // Message Center
    messageCenter: {
      signalR: '//messagecenter.lunztech.cn/',
      baseUrl: '//messagecenter.lunztech.cn/api/',
      appKey: '53cdc9ab-4c9f-420b-b727-fe0602a7387c'
    },
    // Data Center
    dataCenter: {
      baseUrl: '//datacenter.lunztech.cn/api/',
      appKey: '536babcc-dd54-42fb-b43e-31c80b7afa74'
    },
    // Customer Center
    customerCenter: {
      baseUrl: '//customercenter.lunztech.cn/api/',
      appKey: 'cc9065db-9b87-43b9-9917-0c4b5b4fc9d3'
    },
    oss: {
      region: 'oss-cn-qingdao',
      accessKeySecret: 'S2POkdyaPPcpmqOamGnOnN5XxGSlPn',
      accessKeyId: 'LTAIQvVGTxfcgUr3',
      bucket: 'lunz-test',
    }
  }
};
